<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>

  <xsl:param name="reportTitle">Movie Collection</xsl:param>
  <xsl:param name="thumbnails">false</xsl:param>
  <xsl:param name="shading">true</xsl:param>
    
  <!-- the main template -->
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <xsl:if test="$reportTitle!=''">
        <TITLE>
          <xsl:value-of select="$reportTitle"/>
        </TITLE>
        </xsl:if>
      </HEAD>
      <STYLE>
	    <PRINTSTYLE/>
      </STYLE>
      <BODY>
        <xsl:if test="$reportTitle!=''">
          <center>
            <span class="title">
			  <xsl:value-of select="$reportTitle"/>
			</span>
          </center>
        </xsl:if>
        <table>
          <xsl:if test="$thumbnails='true'">
            <TH class="header"/>
          </xsl:if>
          <HEADERDATA/>
          <xsl:apply-templates/>
        </table>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="movieInfo">

    <tr>
      <xsl:if test="$shading='true'">
        <xsl:if test="position() mod 2 = 0">
          <xsl:attribute name="class">shading</xsl:attribute>
        </xsl:if>
      </xsl:if>
      <xsl:if test="$thumbnails='true'">
        <td>
          <xsl:if test="picture!=''">
            <img src="{picture}" border="0" width="50"/>
          </xsl:if>
        </td>
      </xsl:if>
      <BODYDATA/>
    </tr>

  </xsl:template>
</xsl:stylesheet>

